<template>
  <v-chip :color="badgeColor" small>
    {{ leadCategory }}
  </v-chip>
</template>

<script lang="ts" setup>
import { defineProps, computed } from 'vue';

const props = defineProps<{
  leadCategory: string;
}>();

const colorMapping: Record<string, string> = {
  "General": "cyan",
  "Friends and Family": "light-green"
};

const badgeColor = computed(() => {
  return colorMapping[props.leadCategory] || 'grey';
});
</script>

<style scoped>
.v-chip {
  font-size: 0.8rem;
}
</style>